Subject: Editorial comments on -06

From: Norman Walsh <[email-masked]>
Date: Mon, 21 Mar 2005 15:43:41 -0500

| 1.3  Notational Conventions
| 
|    This specification describes conformance in terms of two kinds of
|    artefacts; Atom Feed Documents and Atom Entry documents.

s/artefacts/artifacts/

I gather artefact is the common British variant, so feel free to
ignore this suggestion if you prefer the 'e' variant :-)

|    Additionally, it places some requirements on Atom Processors.
| 
|    The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
|    "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
|    document are to be interpreted as described in BCP 14, [RFC2119], as
|    scoped to those conformance targets.
| 
|    This specification uses XML Namespaces [W3C.REC-xml-names-19990114]
|    to uniquely identify XML elements names.  It uses the following

s/elements/element/

| 3.  Common Atom Constructs
| 
|    Many of Atom's elements share a few common structures.  This section
|    defines a few such structures and their requirements for convenient

s/a few such/those/

| 3.3  Date Constructs
| 
|    A Date construct is an element whose content MUST conform to the
|    date-time BNF rule in [RFC3339].  I.e., the content of this element
|    matches this regular expression:
| 
|    [0-9]{8}T[0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]+)

Change [0-9]{8} to [0-9]{4}-[0-9]{2}-[0-9]{2}

| 4.1.3  The "atom:content" Element
| 
|    The "atom:content" element either contains or links to the content of
|    the entry.  Except for the "type" and "src" attributes, the content
|    of atom:content is language-sensitive.  atom:entry elements MUST
|    contain zero or one atom:content elements.

The constraint that "atom:entry elements MUST contain zero or one
atom:content elements" belongs in the bulleted list in the previous
section.

| 4.2.9.2  The "rel" Attribute
| 
|    atom:link elements MAY have an "rel" attribute that indicates the
|    link relation type.  If the "rel" attribute is not present, the link
|    element MUST be interpreted as if the link relation type is
|    "alternate".
| 
|    rel_attribute = segment-nz-nc / IRI

If "segment-nz-nc" is defined somewhere, we need a reference. If it isn't,
I suggest using "atomNCName" instead as that is at least defined in the
RELAX NG Grammar.

                                        Be seeing you,
                                          norm

-- 
Norman Walsh <[email-masked]> | Everything should be made as simple as
http://nwalsh.com/            | possible, but no simpler.

---

From: Norman Walsh <[email-masked]>
Date: Mon, 21 Mar 2005 15:45:56 -0500

Oops. One more.

| 6.2  Extensions To the Atom Vocabulary
| 
|    Future versions of this specification may add new elements and
|    attributes to the Atom markup vocabulary.  Software written to
|    conform to this version of the specification will not be able to
|    process such markup correctly and, in fact, will not be able to
|    distinguish it from markup error.  For the purposes of this
|    discussion, unrecognized markup from the Atom vocabulary will be
|    considered "foreign "markup".

s/"foreign "markup"/"foreign markup"/

                                        Be seeing you,
                                          norm